Ensim Updates Causes Sservices To Fail

Recently there have been some tickets in which Ensim has been updated via up2date and gives errors similar to this when ssh is attempted to be restarted:

/etc/rc.d/init.d/proftpd restart
proftpd: suspending NOW
Shutting down proftpd: [FAILED]
Starting proftpd: /etc/rc.d/init.d/functions: line 83: 12868 Segmentation fault $nice initlog $INITLOG_ARGS -c "$*"
/etc/rc.d/init.d/functions: line 381: 12869 Segmentation fault initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
[FAILED]
/etc/rc.d/init.d/proftpd: line 37: 12870 Segmentation fault $0 resume

The problem is that up2date installed a version if glibc that conflicts with ensim.  To rollback to the previous version to correct the issue you will need to download glib the orignail glibc package.

 

Once the needed package for i686 systems glibc-2.3.4-2.25.i686.rpm has been download the following command needs to be ran:

rpm -Uvh --replacepkgs --replacefiles --oldpackage glibc-2.3.4-2.25.i686.rpm

The services that were once failing should now start correctly.